> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get timeseries metrics catalog

> Get metric catalog of datasets for assets.



## OpenAPI

````yaml GET /metrics/v1/assets/metrics
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/assets/metrics:
    get:
      tags:
        - metrics/assets
      summary: Get timeseries metrics catalog
      description: Get metric catalog of datasets for assets.
      operationId: getAssetsTimeseriesCatalog
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesCatalog'
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesCatalog:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/TimeseriesDataset'
          type: array
      required:
        - datasets
      type: object
    TimeseriesDataset:
      type: object
      description: Schema for TimeseriesDataset
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````